#
# spec file for package rubygem-celluloid
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-celluloid
Version:        0.18.0
Release:        1.17
%define mod_name celluloid
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.2.6}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/celluloid/celluloid
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Actor-based concurrent object framework for Ruby
License:        MIT
Group:          Development/Languages/Ruby

%description
Celluloid enables people to build concurrent programs out of concurrent
objects just as easily as they build sequential programs out of sequential
objects.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 0.18.0
  see installed CHANGES.md
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 0.17.4
  see installed CHANGES.md
  0.17.4 (2018-12-20)
  - ----
  * [#773](https://github.com/celluloid/celluloid/pull/773)
    Fix the errant 'Couldn't cleanly terminate all actors in 10 seconds!' message
    after forking.  Fixes celluloid/celluloid#696.
    ([@digitalextremist])
* Tue Jan 19 2016 coolo@suse.com
- updated to version 0.17.3
  see installed CHANGES.md
  0.17.3 (2016-01-18)
  - ----
  * [#701](https://github.com/celluloid/celluloid/pull/701)
    Conditions in loose threads loop does not take into account the difference between
    backtraces from ruby 2.0.0 and greater than. Fixes celluloid/celluloid-io#165.
    ([@TiagoCardoso1983])
  * [#700](https://github.com/celluloid/celluloid/pull/700)
    Set celluloid logger level to info by default unless debug is enabled. Fixes #667.
    ([@ioquatix])
  * [#695](https://github.com/celluloid/celluloid/pull/695)
    Extending the condition event handler with the block; this solves a bug
    introduced in jruby >9.0.0.0, which breaks with an ArgumentError exception,
    apparently due to the way to_proc procs are passed arguments. Fixes #694.
    ([@TiagoCardoso1983])
  * [#689](https://github.com/celluloid/celluloid/pull/689)
    Simplified sync, async and future proxies by providing specific AbstractCall base.
    ([@ioquatix])
  * [#688](https://github.com/celluloid/celluloid/pull/688)
    Fix failure to remove dead actors from sets, e.g. celluloid-supervision.
    ([@ioquatix])
  * [#686](https://github.com/celluloid/celluloid/pull/686)
    Print out method name to help debugging method call which caused dead actor error.
    ([@ioquatix])
  * [#682](https://github.com/celluloid/celluloid/pull/682)
    Remove excess call/block require.
  * [#666](https://github.com/celluloid/celluloid/pull/666)
    Don't catch IOError.
* Thu Oct  1 2015 coolo@suse.com
- updated to version 0.17.2
  see installed CHANGES.md
* Sat Aug 22 2015 coolo@suse.com
- updated to version 0.17.1.2
  see installed CHANGES.md
* Sat Aug  8 2015 coolo@suse.com
- updated to version 0.17.1.1
  see installed CHANGES.md
* Fri Aug  7 2015 coolo@suse.com
- updated to version 0.17.1
  see installed CHANGES.md
* Sun Jul  5 2015 coolo@suse.com
- updated to version 0.17.0
  no changelog found
* Thu Oct 23 2014 tboerger@suse.com
- Updated to 0.16.0
  - Factor apart Celluloid::Cell (concurrent objects) from
    Celluloid::Actor
  - Introduce Celluloid::ActorSystem as an abstraction around the
    backend actor implementation (idea borrowed from Akka)
  - Celluloid::Probe system for monitoring system behavior
  - Fix handling of timeouts with Celluloid::EventedMailbox
    (i.e. Celluloid::IO and Celluloid::ZMQ)
  - Add timeout support to Celluloid::Condition
  - Obtain actor names via Celluloid::Actor.registered_name
    and #registered_name to avoid conflicts with the built-in
    Ruby Class.name method
  - Update to timers 4.0.0
  - Dynamically resizable pools
  - Remove use of core Ruby ThreadGroups
  - Simplified CPU core detector
  - Better thread names on JRuby for easier debugging
  - Thread safety fixes to internal thread pool
* Sun Oct 12 2014 fcastelli@suse.com
- update to new packaging scheme and add gem2rpm.yml
* Thu Oct 10 2013 coolo@suse.com
- updated to version 0.15.2
* Sat Sep  7 2013 coolo@suse.com
- updated to version 0.15.1
* Thu Jun  6 2013 coolo@suse.com
- updated to version 0.14.1
* Fri Dec 14 2012 coolo@suse.com
- updated to version 0.12.4
* Mon Oct 29 2012 coolo@suse.com
- updated to version 0.12.3
* Tue Sep  4 2012 coolo@suse.com
- updated to version 0.12.0
* Wed Aug  1 2012 coolo@suse.com
- updated to version 0.11.1
* Thu May 12 2011 mrueckert@suse.de
- initial package (v0.0.3)
